#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hOpenPGP
version:              2.9.5
visibility:           public
id:                   hOpenPGP-2.9.5-5mFurUuY0U9EdtbsDklSBf
key:                  hOpenPGP-2.9.5-5mFurUuY0U9EdtbsDklSBf
license:              MIT
copyright:            2012-2020  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  f839459c3d6dbc625b0a04b07b0b9d3b
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Cryptonite
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptoniteNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher

import-dirs:          /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
library-dirs:         /usr/lib/ghc-8.10.4/site-local/hOpenPGP-2.9.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.4/hOpenPGP-2.9.5
hs-libraries:         HShOpenPGP-2.9.5-5mFurUuY0U9EdtbsDklSBf
depends:
    aeson-1.5.6.0-vttEzhWJzWKjl9IX66QmC
    asn1-encoding-0.9.6-Ee4ZkkU3tCOLbe3Uf3qH81
    attoparsec-0.14.1-94M7XwbxYJLFvYthp17dR base-4.14.1.0
    base16-bytestring-1.0.1.0-GFHbp9pDGKb7zba4QjzG5A
    bifunctors-5.5.11-HikPGETudz6BhyS3Q9DZHc binary-0.8.8.0
    binary-conduit-1.3.1-9NVTmM3VbIgJYAWDUbn4qB bytestring-0.10.12.0
    bz2-1.0.1.0-DUbLUux4FatKaUuAfS4o19
    conduit-1.3.4.1-74EEN6J9iPp6XmuhFTF6tG
    conduit-extra-1.3.5-3IpDatCeIGNGSGz6TnFZXd containers-0.6.2.1
    crypto-cipher-types-0.0.9-BBOS1ZnOyUYHyEfGot6pI9
    cryptonite-0.29-2DlnxXwX1G4IdMr893KKKJ
    errors-2.3.0-1jMMqiGok7nGSgO7igf65q
    hashable-1.3.2.0-5x51STP8vZMKBx9J0CoY3R
    incremental-parser-0.5.0.2-JOCk3n5m3HIBQVFDHaQZAA
    ixset-typed-0.5-LslsdJudb2i3vpS6FO3PXW
    lens-5.0.1-2Zjnlw4mK68FBWH0avGA3U
    memory-0.16.0-FcR25XxjAGsCy9iFRDcpya
    monad-loops-0.4.3-C0LVokhtCoUF1FVS5cJB0Q
    nettle-0.3.0-FEzBEkduDhOJEjFGTjgzwu
    network-uri-2.6.4.1-1oGYEtCGxwGIDetCtBI9bJ
    openpgp-asciiarmor-0.1.2-7G3KlicKQEZBXLLYSZn1nI
    prettyprinter-1.7.0-IcygC6oxBMR5rwFtc6qdvZ
    resourcet-1.2.4.2-1utkGeChapoDd3sy0kAnly
    split-0.2.3.4-7fxGS3cyG915MstXI9rpJC text-1.2.4.1 time-1.9.3
    time-locale-compat-0.1.1.5-75n5v6JklqyMdEmBwWBxO
    transformers-0.5.6.2 unliftio-core-0.2.0.1-9GVcmaajsglG88oErAZOTV
    unordered-containers-0.2.14.0-BnMT8OZ6mZf1CSW1Hvg8FR
    zlib-0.6.2.3-C5uBsvkye3VLX7pTj027ns

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

